# Represents a Font

(PHP 7, UI 0.9.9)

## Introduction

Loads a described font

## Class synopsis

UI\Draw\Text\Font {
/* Constructor */
public __construct ( UI\Draw\Text\Font\Descriptor `$descriptor` )
/* Methods */
public getAscent ( void ) : float
public getDescent ( void ) : float
public getLeading ( void ) : float
public getUnderlinePosition ( void ) : float
public getUnderlineThickness ( void ) : float
}

## Table of Contents

- UI\Draw\Text\Font::__construct — Construct a new Font
- UI\Draw\Text\Font::getAscent — Font Metrics
- UI\Draw\Text\Font::getDescent — Font Metrics
- UI\Draw\Text\Font::getLeading — Font Metrics
- UI\Draw\Text\Font::getUnderlinePosition — Font Metrics
- UI\Draw\Text\Font::getUnderlineThickness — Font Metrics